import { Component, Host, h, Prop } from '@stencil/core';
export class SparkleGoalProgress {
  render() {
    return (h(Host, null,
      h("div", { class: "progress-container" },
        h("div", { id: "progress-bar", style: { "--p": this.percentage + "%" } }),
        h("strong", { class: "percentage" },
          this.percentage,
          "%"))));
  }
  static get is() { return "sparkle-goal-progress"; }
  static get originalStyleUrls() { return {
    "$": ["sparkle-goal-progress.css"]
  }; }
  static get styleUrls() { return {
    "$": ["sparkle-goal-progress.css"]
  }; }
  static get properties() { return {
    "percentage": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "percentage",
      "reflect": false
    }
  }; }
}
